<?php
	include("../../cabecera.php");
	
	if($_REQUEST['pag']=="")
	{
		$pag=0;
	} else
	{
		$pag=$_REQUEST['pag'];
		$anaPag="&pag=".$pag;
	}
	
	if($_REQUEST['ord'])
	{
		switch ($_REQUEST['ord'])
		{	
			case 1:
				$ord=" ORDER BY id";
				$orden="Nº Registro";
				break;
			case 2:
				$ord=" ORDER BY Titulo";
				$orden="Titulo";
				break;
			case 3:
				$ord=" ORDER BY Autor";
				$orden="Autor";
				break;
			case 4:
				$ord=" ORDER BY Editorial";
				$orden="Editorial";
				break;
			case 5:
				$ord=" ORDER BY Unidades";
				$orden="Unidades";
				break;
			case 6:
				$ord=" ORDER BY Tipo";
				$orden="Tipo";
				break;
			case 7:
				$ord=" ORDER BY Categoria";
				$orden="Categoria";
				break;
			case 8:
				$ord=" ORDER BY FechaAlta";
				$orden="Fecha de Alta";
				break;
		}
		$anaOrd="&ord=".$_REQUEST['ord'];
	} else
	{
		$ord=" ORDER BY id";
		$orden="N&ordm; Registro";
	}
	if($_REQUEST['Titulo'])
	{
		$palabra=$_REQUEST['Titulo'];
		while(substr($palabra, 0, strpos($palabra, " ")))
		{
			if($filtro)
			{
				$filtro=$filtro." and";
			}
			$filtro=$filtro." upper(Titulo) like '%".strtoupper(substr($palabra, 0, strpos($palabra, " ")))."%'";
			$palabra=substr($palabra, strpos($palabra, " ")+1);
		}
		if($filtro)
		{
			$filtro=$filtro." and";
		}
		$filtro=$filtro." upper(Titulo) like '%".strtoupper($palabra)."%'";
		
		$anaFiltro=$anaFiltro."&Titulo=".$_REQUEST['Titulo'];
	}
	
	if($_REQUEST['Autor'])
	{
		$palabra=$_REQUEST['Autor'];
		while(substr($palabra, 0, strpos($palabra, " ")))
		{
			if($filtro)
			{
				$filtro=$filtro." and";
			}
			$filtro=$filtro." upper(Autor) like '%".strtoupper(substr($palabra, 0, strpos($palabra, " ")))."%'";
			$palabra=substr($palabra, strpos($palabra, " ")+1);
		}
		if($filtro)
		{
			$filtro=$filtro." and";
		}
		$filtro=$filtro." upper(Autor) like '%".strtoupper($palabra)."%'";
		
		$anaFiltro=$anaFiltro."&Autor=".$_REQUEST['Autor'];
	}
	
	if($_REQUEST['Editorial'])
	{
		$palabra=$_REQUEST['Editorial'];
		while(substr($palabra, 0, strpos($palabra, " ")))
		{
			if($filtro)
			{
				$filtro=$filtro." and";
			}
			$filtro=$filtro." upper(Editorial) like '%".strtoupper(substr($palabra, 0, strpos($palabra, " ")))."%'";
			$palabra=substr($palabra, strpos($palabra, " ")+1);
		}
		if($filtro)
		{
			$filtro=$filtro." and";
		}
		$filtro=$filtro." upper(Editorial) like '%".strtoupper($palabra)."%'";
		
		$anaFiltro=$anaFiltro."&Editorial=".$_REQUEST['Editorial'];
	}
	
	if($_REQUEST['Tipo'])
	{
		if($filtro)
		{
			$filtro=$filtro." and";
		}
		$filtro=$filtro." Tipo=".$_REQUEST['Tipo'];
		
		$anaFiltro=$anaFiltro."&Tipo=".$_REQUEST['Tipo'];
	}
	
	if($_REQUEST['Categoria'])
	{
		if($filtro)
		{
			$filtro=$filtro." and";
		}
		$filtro=$filtro." Categoria=".$_REQUEST['Categoria'];
		
		$anaFiltro=$anaFiltro."&Categoria=".$_REQUEST['Categoria'];
	}
	
	$consultaRegistros = "SELECT * FROM inventario";
	if($filtro)
	{
		$consultaRegistros = $consultaRegistros." WHERE".$filtro;
	}
	
	$consultaRegistros=$consultaRegistros.$ord;
	
	$consultaReg = mysql_query ($consultaRegistros, $conexion);
	
	$numreg=mysql_num_rows($consultaReg);
	
	if($_REQUEST['regppag']=="")
	{
		$regppag=20;
	} else
	{
		$regppag=$_REQUEST['regppag'];
		$anadido=$anadido."&regppag=".$_REQUEST['regppag'];
	}
	
	$npag=floor($numreg/$regppag)+1;

	$maxreg=$pag*$regppag+$regppag;

	if($maxreg>$numreg)
	{
		$maxreg=$numreg;
	}

	$hasta=$pag*$regppag;

	for($i=0;$i<$hasta;$i++) //Para avanzar registros y que se muestren desde el que se tiene que mostrar
	{
		$filaReg=mysql_fetch_array($consultaReg);
	}
?>
<script language="javascript">
	function seleccionar (n)
	{
		for(i=0;i<=9;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#ccc";
		}
	}
	function desseleccionar (n)
	{
		for(i=0;i<=9;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#eee";
		}
	}
</script>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Inventario</td>
	</tr>
</table>
<div id="nuevoReg" align="left">
	<input type="button" value="Nuevo Registro" class="boton" onClick="location.href='inv-new.php'" />
</div>

<form id="formulario" method="post" action="inv-index.php">
<input type="hidden" name="ord" value="<?php echo $_REQUEST['ord']?>" />
<input type="hidden" name="Titulo" value="<?php echo $_REQUEST['Titulo']?>" />
<input type="hidden" name="Autor" value="<?php echo $_REQUEST['Autor']?>" />
<input type="hidden" name="Editorial" value="<?php echo $_REQUEST['Editorial']?>" />
<input type="hidden" name="Tipo" value="<?php echo $_REQUEST['Tipo']?>" />
<input type="hidden" name="Categoria" value="<?php echo $_REQUEST['Categoria']?>" />
<table>
  <tr>
  	<td style="font-family:tahoma;font-size:12;text-align:center">
  	<?php
  		if($pag!=0)
  		{
  	?>
		 <a href="inv-index.php?pag=<?php echo $pag-1?><?php echo $anadido.$anaFiltro?>" style="font-weight:bold;color:#f2b800">&lt;</a>
  	<?php
  		}
			for($i=1;$i<=$npag;$i++)
			{
				if($i==$pag+1)
				{
		?>
		  <font style="color:#f2b800;font-weight:bold">[</font><?php echo $i?><font style="color:#f2b800;font-weight:bold">]</font>
		<?php
				} else
				{
		?>
		  <font style="color:#f2b800;font-weight:bold">[</font><a href="inv-index.php?pag=<?php echo $i-1?><?php echo $anadido.$anaOrd.$anaFiltro?>" style="font-weight:bold;color:#000"><?php echo $i?></a><font style="color:#f2b800;font-weight:bold">]</font>
		<?php
				}
			}
  		if($pag!=$npag-1 && $npag!=1)
  		{
  	?>
		 <a href="inv-index.php?pag=<?php echo $pag+1?><?php echo $anadido.$anaOrd.$anaFiltro?>" style="font-weight:bold;color:#f2b800;">&gt;</a>
  	<?php
  		}
  	?>
  	</td>
  </tr>
	<tr>
  	<td style="font-family:tahoma;font-size:12;font-weight:bold;text-align:center;height:40"><?php echo $numreg?> registro/s, mostrando del <?php echo $pag*$regppag+1?> al <?php echo $maxreg?>, ordenados por <?php echo $orden?></td>
	</tr>
  <tr>
  	<td style="font-family:tahoma;font-size:12;text-align:center">Registros por p&aacute;gina
  	  <input type="hidden" name="ord" value="<?php echo $_REQUEST['ord']?>">
  	  <select name="regppag" class=caja style="width:50" onchange="formulario.submit()">
  	    <option value="<?php echo $regppag?>"><?php echo $regppag?>
  	    <option value="10">10
  	    <option value="20">20
  	    <option value="50">50
  	    <option value="100">100
  	  </select>
  	</td>
  </tr>
</table>
</form>
<table cellpadding="0" cellspacing="1" style="margin-top:20px"> 
	<tr>
		<td class=titulolista style="width:20">&nbsp;</td>
		<td class="titulolista" style="width:90px"><a href="inv-index.php?ord=1<?php echo $anaFiltro.$anaPag.$anadido?>">N&ordm; Registro</a></td>
		<td class="titulolista" style="width:300px"><a href="inv-index.php?ord=2<?php echo $anaFiltro.$anaPag.$anadido?>">T&iacute;tulo</a></td>
		<td class="titulolista" style="width:150px"><a href="inv-index.php?ord=3<?php echo $anaFiltro.$anaPag.$anadido?>">Autor</a></td>
		<td class="titulolista" style="width:150px"><a href="inv-index.php?ord=4<?php echo $anaFiltro.$anaPag.$anadido?>">Editorial</a></td>
		<td class="titulolista" style="width:150px"><a href="inv-index.php?ord=6<?php echo $anaFiltro.$anaPag.$anadido?>">Tipo</a></td>
		<td class="titulolista" style="width:150px"><a href="inv-index.php?ord=7<?php echo $anaFiltro.$anaPag.$anadido?>">Categoria</a></td>
		<td class="titulolista" style="width:120px"><a href="inv-index.php?ord=8<?php echo $anaFiltro.$anaPag.$anadido?>">F. Alta</a></td>
		<td class="titulolista" style="width:50px"><a href="inv-index.php?ord=5<?php echo $anaFiltro.$anaPag.$anadido?>">Uds.</a></td>
		<td class=titulolista style="width:20">&nbsp;</td>
	</tr>
	
	<?php
		$cont=0;
		while ($filaReg = mysql_fetch_array($consultaReg))
		{
	?>
	<tr>
		<td class="lista" id="lista0<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><img src="../../imagenes/flecha.gif" style="border:0;width:7;height:13"></a></td>
		<td class="lista" id="lista1<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['id']?></a></td>
		<td class="lista" id="lista2<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:left;padding-left:4px"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['Titulo']?></a></td>
		<td class="lista" id="lista3<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:left;padding-left:4px"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['Autor']?></a></td>
		<td class="lista" id="lista4<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:left;padding-left:4px"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['Editorial']?></a></td>
		<td class="lista" id="lista6<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:left;padding-left:4px"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>">
		<?php
			$consultaTipo = mysql_query("SELECT * FROM inv_tipo WHERE id=".$filaReg['Tipo'], $conexion);
			$filaTipo = mysql_fetch_array($consultaTipo);
			echo $filaTipo['Tipo'];
		?>
		</a></td>
		<td class="lista" id="lista7<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:left;padding-left:4px"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>">
		<?php
			$consultaCategoria = mysql_query("SELECT * FROM inv_categoria WHERE id=".$filaReg['Categoria'], $conexion);
			$filaCategoria = mysql_fetch_array($consultaCategoria);
			echo $filaCategoria['Categoria'];
		?>
		</a></td>
		<td class="lista" id="lista8<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['FechaAlta']?></a></td>
		<td class="lista" id="lista5<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center"><a href="inv-edit.php?id=<?php echo $filaReg['id']?>"><?php echo $filaReg['Unidades']?></a></td>
		<td class="lista" id="lista9<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:center"><a href="javascript:confBorrar('<?php echo $filaReg['id']?>',12)" title="Eliminar Registro"><img src="../../imagenes/cruz.gif" style="border:0;width:14;height:14"></a></td>
	</tr>
	<?php
			$cont++;
			if($cont==$regppag)
			{
				break;
			}
		}
	?>
</table>
<div id="buscar">
	<form method="POST" action="inv-index.php">
		<input type="hidden" name="ord" value="<?php echo $_REQUEST['ord']?>" />
		<input type="hidden" name="regppag" value="<?php echo $_REQUEST['regppag']?>" />
		<b>Filtrar</b><br /><br />
		T&iacute;tulo <input class="caja" type="text" name="Titulo" value="<?php echo $_REQUEST['Titulo']?>" style="width:300px" />
		Autor <input class="caja" type="text" name="Autor" value="<?php echo $_REQUEST['Autor']?>" style="width:280px" /><br />
		Editorial <input class="caja" type="text" name="Editorial" value="<?php echo $_REQUEST['Editorial']?>" style="width:150px" />
		Tipo 
		<select name="Tipo" id="Tipo" class=caja style="width:130px">
		<?php
			if($_REQUEST['Tipo'])
			{
				$consultaTipo = mysql_query("SELECT * FROM inv_tipo WHERE id=".$_REQUEST['Tipo'],$conexion);
				$filaTipo = mysql_fetch_array ($consultaTipo);
		?>
			<option value="<?php echo $filaTipo['id']?>"><?php echo $filaTipo['Tipo']?></option>
		<?php
			} 
		?>
			<option value=""></option>
		<?php
			include ("inv-rellenarTipo.php");
		?>
		</select>
		
		Categoria
		<select name="Categoria" id="Categoria" class="caja" style="width:130px">
		<?php
			if($_REQUEST['Categoria'])
			{
				$consultaCategoria = mysql_query("SELECT * FROM inv_categoria WHERE id=".$_REQUEST['Categoria'],$conexion);
				$filaCategoria = mysql_fetch_array ($consultaCategoria);
		?>
			<option value="<?php echo $filaCategoria['id']?>"><?php echo $filaCategoria['Categoria']?></option>
		<?php
			} 
		?>
			<option value=""></option>
		<?php
			include ("inv-rellenarCategoria.php");
		?>
		</select>
		<br /><br />
		<div align="center" style="font-size:10;font-family:tahoma">
		<input type="submit" value="Buscar" class="boton" /><br />
		*Rellene solo los campos por los que quiera filtrar la b&uacute;squeda
		</div>
	</form>
</div>
<a href="javascript:imprimirInv('<?php echo $anadido.$anaOrd.$anaFiltro?>')"><img src="../../imagenes/imprimir.gif" title="Imprimir" /></a>
<iframe id="imprimir" src=""></iframe>
<?php
	include("../../pie.php");
?>